<template>
<v-flex>
  <v-alert
    dense
    type="info"
    border="left"
    icon="system_update"
    >
    <v-layout align-center wrap>
      <div>
        Готово обновление сайта.
      </div>
      <v-btn
        :loading="loading"
        class="ml-2"
        depressed
        small
        color="green"
        @click="appUpdate"
        >
        Обновить
      </v-btn>
      <!-- <v-spacer></v-spacer> -->
    </v-layout>
    <template v-slot:append>
    </template>
  </v-alert>
</v-flex>
</template>


<script>
export default {
  data: () => ({
    loading: false,
  }),
  computed: {
    fa() {
      return (this.$vuetify.icons.close === 'fas fa-times');  // Font Awesome 5
    },
  },
  methods: {
    appUpdate() {
      this.loading = true;
      const newServiceWorker = this.$store.state.app.newWorker;

      if (newServiceWorker) {
        newServiceWorker.postMessage({ action: 'skipWaiting' });
      }
      // We can't do document.location.reload() here because a service
      // worker may not have finished skipWaiting(). A blank screen can
      // appear.
    },
  }
}
</script>
